Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

List lists

Prev Next
Post
/list/list

Used to get a list of lists. Review our dedicated guide for more information on user lists.

Body parameters
object
apptoken
string Required

Your App token

limit
integer (int32)

Used with offset for pagination

offset
integer (int32)

Used with limit for pagination

Responses
200

200

Result
{
  "success": "True",
  "code": "200",
  "data": [
    {
      "id": "3621063",
      "project_id": "PROJECT_ID",
      "name": "Restricted users",
      "identifier": "email",
      "suppress": "0"
    },
    {
      "id": "3621064",
      "project_id": "PROJECT_ID",
      "name": "Propensity for Product Y",
      "identifier": "user_id",
      "suppress": "0"
    },
    {
      "id": "3621214",
      "project_id": "PROJECT_ID",
      "name": "Propensity for Product z",
      "identifier": "profile_id",
      "suppress": "1"
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
data
Array of object
object
id
integer
Default0
Example3621063
project_id
string
ExamplePROJECT_ID
name
string
ExampleRestricted users
identifier
string
Exampleemail
external_id
suppress
integer
Default0
Example0
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information",
  "errors": [
    {
      "text": [
        "Detailed information about the specific error"
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleGeneral error information
errors
Array of object
object
text
Array of string
string